package gf.cloud.main.service.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * @author lixueyan
 * @date 2023/5/30 0030 9:35
 */
public class SendBaseInput {
    @XText("发送方式 , 0:立即发送，1：定时发送（指定时间 一次性发送），2：周期发送（cron 表达式 多次发送）")
    private Integer sendWay = 0;

    @XText("发送时间， 发送方式=1时 值为：yyyy-MM-dd HH:mm:ss; 发送方式=2时 值为 ‘0/20 * * * * ?’")
    private String sendTime;

    @XText("截至时间，发送方式=2时,默认当前时间+1年")
    private Date endTime;

    @XText("发送标记，请勿赋值")
    private Boolean sendFlag = false;

    @XText("发送标记，请勿赋值")
    @JsonIgnore
    private Integer sendId;

    public Integer getSendWay() {
        return sendWay;
    }

    public void setSendWay(Integer sendWay) {
        this.sendWay = sendWay;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public Boolean getSendFlag() {
        return sendFlag;
    }

    public void setSendFlag(Boolean sendFlag) {
        this.sendFlag = sendFlag;
    }

    public Integer getSendId() {
        return sendId;
    }

    public void setSendId(Integer sendId) {
        this.sendId = sendId;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
