package gf.cloud.main.service.data;

import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

/**
 * @author lixueyan
 * @date 2023/5/19 0019 14:17
 */
public class SendMessageInput extends SendBaseInput {
    @XText("手机号")
    @NotNull
    private String mobile;
    @XText("短信内容")
    @NotNull
    private String content;
    @XText("消息类型, ALL-全渠道发送，SMS|IM - 多渠道发送")
    @NotNull
    private String type;

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
