package gf.core.main.enums;

import cnpc.core.common.enums.DictEnum;
import com.baomidou.mybatisplus.annotation.EnumValue;

public enum TaskAnalysisStateEnum implements DictEnum {

    NO(0,"未解析"),
    YES(1,"已解析"),
    ;

    @EnumValue
    private Integer value;
    private String desc;

    TaskAnalysisStateEnum(Integer value, String desc){
        this.desc =desc;
        this.value = value;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public static TaskAnalysisStateEnum findByValue(Integer value){
        for(TaskAnalysisStateEnum item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return null;
    }
}
