package cnpc.core.auth.service.data.auth;

import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

/**
 * @author lixueyan
 * @date 2023/5/31 0031 17:32
 */
public class GetAccessTokenInput {
    @XText("应用id")
    @NotNull
    private String appId;

    @XText("时间戳")
    @NotNull
    private Long timestamp;

    @XText("签名信息 ， 对{appId}+{timestamp}使用AES加密后的数据")
    @NotNull
    private String sign;

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
}
