package gf.core.main.enums;

import cnpc.core.common.enums.DictEnum;
import com.baomidou.mybatisplus.annotation.EnumValue;

public enum SendStateEnum implements DictEnum {

    Doing(0,"处理中"),
    SUCCESS(1,"成功"),
    Party_SUCCESS(2,"部分成功"),
    Failure(3,"失败"),
    ;

    @EnumValue
    private Integer value;
    private String desc;

    SendStateEnum(Integer value, String desc){
        this.desc =desc;
        this.value = value;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public static SendStateEnum findByValue(Integer value){
        for(SendStateEnum item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return null;
    }
}
