package gf.core.main.enums;

import cnpc.core.common.enums.DictEnum;
import com.baomidou.mybatisplus.annotation.EnumValue;

public enum SendWayEnum implements DictEnum {

    Send_Now(0,"立即发送"),
    Send_Time(1,"定时发送"),
    Send_Cycle(2,"周期发送"),
    ;

    @EnumValue
    private Integer value;
    private String desc;

    SendWayEnum(Integer value, String desc){
        this.desc =desc;
        this.value = value;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public static SendWayEnum findByValue(Integer value){
        for(SendWayEnum item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return null;
    }
}
