package gf.core.main.mybatis;

import cnpc.core.common.mybatis.MybaitisGlobalConfigSuppiler;
import com.baomidou.mybatisplus.core.config.GlobalConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import xstartup.service.mybatis.XMybatis;

/**
 * mybatis 配置类
 */
 @Component
 @EnableTransactionManagement
 @MapperScan(sqlSessionTemplateRef = "sqlSessionTemplateRef.gf.core.main",
        sqlSessionFactoryRef = "sqlSessionFactoryRef.gf.core.main",
        basePackages = {"gf.core.main.mapper"})
public class GfCoreMainMybatis extends XMybatis {
 @Override
 public GlobalConfig getGlobalConfig() {
  return MybaitisGlobalConfigSuppiler.INSTANCE.get();
 }
}
